1. 08 Jun, 2018 1 commit
    • Guillaume Melquiond's avatar
      Make menhirLib mandatory (fix issue #118). · 87c856ea
      Guillaume Melquiond authored
      Menhir 20151112 can, in fact, be used to compile Why3. The actual issue
      was that the error reporting module depends on Menhir's table-based
      backend, which requires menhirLib. So, the latter is no longer an optional
      dependency.
      87c856ea
  2. 06 Feb, 2018 1 commit
  3. 05 Jul, 2016 1 commit
  4. 30 Jun, 2016 1 commit
  5. 03 Oct, 2014 1 commit
  6. 29 Aug, 2014 1 commit
  7. 28 Jun, 2014 1 commit
  8. 17 Oct, 2012 1 commit
    • Andrei Paskevich's avatar
      move whyml to the Why3 library · 4599fe6b
      Andrei Paskevich authored
      + do not build src/programs/
      + build the library in lib/why3/
      + fix use_api.ml for the case when Alt-Ergo is not present
      + distribute lib/coq/BuiltIn.v
      + rename src/config to src/why3config
      + rename src/bench to src/why3bench
      + move src/config.ml to src/util/
      4599fe6b